#ifndef DATA_FUEL_H
#define DATA_FUEL_H

#include "Components.h"


typedef enum __attribute__((aligned(4)))
{
    FuelSensorNormal = 0,
    FuelSensorShortCircuit,
    FuelSensorOpenCircuit,
}FuelSensorSts_t;
    
extern void Fuel_KL15_Init(void);
extern void Fuel_KL30_Init(void);
extern void Fuel_Cal_Sevice(uint8_t deltaTime);
extern uint8_t Get_Fuel_Disp_Byte(void);
extern uint8_t Get_CurFuelSetp(void);
extern FuelSensorSts_t Get_Fuel_Sensor_State(void);
uint16_t Get_Fuel_RES(void);

#endif
